# Arbitrage

You can see the current best bid and best ask for any cryptocurrency pair that trades vs USD, e.g. BTCUSD, ETHUSD, across every covered exchange that allows trading in that pair.

The subscription also returns the current bid-ask spread on that exchange, and the amount currently at the best bid and best ask.

This allows you to determine arbitrage possibilities, find the exchange with the best spread and see how an asset is trading on different exchanges. You can also use the spread of different instruments and exchanges to calibrate market-making strategies and execution algorithms.

Subscribe using the name of the currency and the instrument type (spot or perpetual).

```python
ws.send({action: 'subscribe', channel: ['BTCUSD spot'.arbitrage]})
```

### Arbitrage Returns

The return from a subscription looks like the below:

```python
{
   "exchange":"deribit",
   "bestBidPrice":57339,
   "bestAskPrice":57339.5,
   "bestBidAmount":16010,
   "bestAskAmount":159120,
   "spread":0.5
}{
   "exchange":"delta",
   "bestBidPrice":57354.5,
   "bestAskPrice":57363,
   "bestBidAmount":18641,
   "bestAskAmount":11071,
   "spread":8.5
}{
   "exchange":"bybit",
   "bestBidPrice":57339.5,
   "bestAskPrice":57340,
   "bestBidAmount":6227067,
   "bestAskAmount":8095652,
   "spread":0.5
}{
   "exchange":"bybit",
   "bestBidPrice":57339.5,
   "bestAskPrice":57340,
   "bestBidAmount":6267589,
   "bestAskAmount":8098152,
   "spread":0.5
}{
   "exchange":"phemex",
   "bestBidPrice":57337,
   "bestAskPrice":57337.5,
   "bestBidAmount":763435,
   "bestAskAmount":1703166,
   "spread":0.5
}{
   "exchange":"deribit",
   "bestBidPrice":57334,
   "bestAskPrice":57336.5,
   "bestBidAmount":10,
   "bestAskAmount":8000,
   "spread":2.5
}{
   "exchange":"huobi-dm-swap",
   "bestBidPrice":57329.8,
   "bestAskPrice":57329.9,
   "bestBidAmount":13171,
   "bestAskAmount":3946,
   "spread":0.09999999999854481
}{
   "exchange":"bybit",
   "bestBidPrice":57339.5,
   "bestAskPrice":57340,
   "bestBidAmount":5869163,
   "bestAskAmount":8273993,
   "spread":0.5
}{
   "exchange":"coinflex",
   "bestBidPrice":57349,
   "bestAskPrice":57359,
   "bestBidAmount":0.014,
   "bestAskAmount":0.035,
   "spread":10
}{
   "exchange":"phemex",
   "bestBidPrice":57337,
   "bestAskPrice":57337.5,
   "bestBidAmount":642897,
   "bestAskAmount":1766022,
   "spread":0.5
}{
   "exchange":"delta",
   "bestBidPrice":57339,
   "bestAskPrice":57347.5,
   "bestBidAmount":18641,
   "bestAskAmount":11071,
   "spread":8.5
}{
   "exchange":"gate-io-futures",
   "bestBidPrice":57358.5,
   "bestAskPrice":57358.6,
   "bestBidAmount":221655,
   "bestAskAmount":6508,
   "spread":0.09999999999854481
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptostats.dev/streaming/arbitrage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
